Subject: Re: [PATCH 1/4] sbc8560: add basic support for Wind River SBC8560 as powerpc

From: Paul Gortmaker <[email-masked]>
Date: Fri, 21 Dec 2007 10:37:29 -0500

In message: Re: [PATCH 1/4] sbc8560: add basic support for Wind River SBC8560 as powerpc
on 21/12/2007 Stephen Rothwell wrote:

> Hi Paul,
> 
> Just a couple of comments.

[...]

> The braces are unnecessary.
> 

[...]

> We often say "if (!np)" and leave out the blank line above.
> 
> > +	if(of_address_to_resource(np, 0, &r)) {
>           ^
> Put a space here.

[...]

> Need an of_node_pit(np) - cpm2_pic_init() does its own of_node_get.
> 
> > +static struct cpm_pin sbc8560_pins[] = {
> 
> const?
> 

Sounds reasonable to me.  I've integrated these into sbc8560.c (still
looking at how to handle the duart/dts based on feedback).  Since I'd
inerited the things you'd requested fixes on from mpc85xx_ads.c, it
probably makes sense to fix them there too I would imagine.  I'll send
that under its own subject in a minute.

Paul.